Difference between revisions of "UCS Appliance"

From Univention Wiki

Jump to: navigation, search
(Remove workaround steps prior to UCS 3.0-1)
Line 2: Line 2:
  
 
The following steps are required to create an appliance based on UCS 3.0. It is recommended to use at least UCS 3.0-1.
 
The following steps are required to create an appliance based on UCS 3.0. It is recommended to use at least UCS 3.0-1.
 
Until the release of UCS 3.0-1 it is possible to update the required packages. Simply add the following lines to <tt>/etc/apt/sources.list</tt>:
 
 
<pre>
 
deb http://download.univention.de/download/fixes/ system-setup/all/
 
deb http://download.univention.de/download/fixes/ system-setup/$(ARCH)/
 
</pre>
 
 
These packages provide a few enhancements and fixes for Univention
 
system setup boot of UCS 3.0-0. If UCS 3.0-1 is released these
 
packages are obsolete.
 
 
Afterwards, secure apt has to be deactivated and the system can be updated:
 
<pre>
 
$ ucr set update/secure_apt="no"
 
$ univention-upgrade
 
</pre>
 
  
 
= Domaincontoller Master =
 
= Domaincontoller Master =

Revision as of 13:15, 2 March 2012

Produktlogo UCS Version 3.0

The following steps are required to create an appliance based on UCS 3.0. It is recommended to use at least UCS 3.0-1.

Domaincontoller Master

  • While selecting the system role in UCS, F3 must be pressed. This will disable the join scripts.
  • The software component Desktop environment must be selected.
  • After everything is finished the package univention-system-setup-boot must be installed.
    univention-install univention-system-setup-boot
  • On next boot the basic settings UMC module will be started.

Other systems

  • The join must be disabled in the UCS Installer.
  • The software component Desktop environment must be selected.
  • After everything is finished the package univention-system-setup-boot must be installed.
    univention-install univention-system-setup-boot
  • On next boot the basic settings UMC module will be started.
Personal tools